/**
 * Class for representing knots in graphs. A knot is defined by its unique id. There are for integer values
 * associated with each knot: Its x- and y-coordinate and two arbitrary values to be visualized.
 *
 * @author Stefan Daschek
 */
public class Knot {

  /** Id of the knot. */
  public int id;

  /** X-Coordinate of the knot. */
  public int x;

  /** Y-Coordinate of the knot. */
  public int y;

  /** First value associated with knot. */
  public int val1;

  /** Second value associated with knot. */
  public int val2;

  /**
   * Default constructor.
   *
   * @param id   id of the knot
   * @param x    x-coordinate of the knot
   * @param y    y-coordinate of the knot
   * @param val1 first value associated with knot
   * @param val2 second value associated with knot
   */
  public Knot( int id, int x, int y, int val1, int val2 ) {
    this.id   = id;
    this.x    = x;
    this.y    = y;
    this.val1 = val1;
    this.val2 = val2;
  }
}
